[Numpy-discussion] [review] py3k_bootstrap branch

Darren Dale dsdale24@gmail....
Wed May 6 06:17:52 CDT 2009


On Tue, May 5, 2009 at 9:12 PM, David Cournapeau <cournape@gmail.com> wrote:

> On Wed, May 6, 2009 at 3:57 AM, Darren Dale <dsdale24@gmail.com> wrote:
>
> >
> > There is a lot of interest in a 3to2 tool, and I have read speculation
> > (
> http://sayspy.blogspot.com/2009/04/pycon-2009-recap-best-pycon-ever.html)
> > that going from 3 to 2 should be easier than the other way around. Maybe
> it
> > will be worth keeping an eye on.
>
> I can see how this could help people who have a working python 3
> implementation, but in numpy's case, I am not so sure. Do you know
> which version of python is targeted by 3to2 ? 2.6, 2.5 or even below ?


I was thinking further down the road, once numpy has a python-3
implementation. Based on http://wiki.python.org/moin/3to2 , it looks like
people are thinking about the possibility of supporting 2.5 and earlier.

Darren
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/numpy-discussion/attachments/20090506/14f5b068/attachment.html 


More information about the Numpy-discussion mailing list